Системные требования

Ubilling может быть установлен и работать теоретически на любых *nix подобных OS, но на данный момент протестирован и успешно используется на FreeBSD всех версий и разнообразных дистрибутивах Linux. Также для FreeBSD 10.4, 11.0 и 11.1 разработан штатный установщик по имени UBinstaller позволяющий установить все зависимости и произвести базовую конфигурацию Ubilling и stargazer в упрощенном варианте за несколько минут. Собственно на данный момент только FreeBSD является официально поддерживаемой и рекомендуемой системой. Почему так? Читайте в FAQ

Минимальные требования и зависимости:

  1. Apache 1.3/2.2/2.4
  2. PHP + BCMATH CURL GD ICONV MBSTRING MYSQL MYSQLI PDF SNMP SOAP XML ZIP ZLIB SOCKETS FTP IMAP JSON POSIX PHAR SESSION SIMPLEXML TOKENIZER MEMCACHED short_open_tag=on, safe_mode=off, register_globals=off, magic_quotes=off, allow_url_fopen=on >= 5.3
  3. MySQL >= 5.x
  4. sudo
  5. stargazer + sgconf/sgconf_xml >= 2.408
  6. Для работы с вебинтерфейсом требуется любой актуальный браузер (Firefox>=60, Opera>=44, Safari >=6.1) с включенными cookies и javascript.

Далее набор зависимого ПО может коррелировать с вашими потребностями и сервисами которые вы планируете использовать.

Железо

Относительно требований к аппаратной части, смотрите в FAQ.

setup.txt · Последние изменения: 2018/06/14 18:25 — nightfly
 
За исключением случаев, когда указано иное, содержимое этой вики предоставляется на условиях следующей лицензии: CC Attribution-Share Alike 3.0 Unported
Recent changes RSS feed Donate Powered by PHP Valid XHTML 1.0 Valid CSS Driven by DokuWiki